## libtrycatch-perl 1.003000

=== debian/changelog ===
libtrycatch-perl (1.003000-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#626702.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 May 2011 15:10:50 +0200
