=== debian/control ===
Source: libtrycatch-perl
Section: perl
Priority: optional
Build-Depends: devscripts (>= 2.10.7~),
 perl,
 cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 libparse-method-signatures-perl,
 libb-hooks-endofscope-perl,
 libdevel-declare-perl,
 libmoose-perl,
 libmoosex-types-perl,
 libscope-upper-perl,
 libvariable-magic-perl,
 libsub-exporter-perl,
 libb-hooks-op-check-perl,
 libb-hooks-op-ppaddr-perl (>= 0.03),
 libtest-exception-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-perl/packages/libtrycatch-perl
Vcs-Browser: http://git.debian.org/?p=pkg-perl/packages/libtrycatch-perl.git
Homepage: http://search.cpan.org/dist/TryCatch/

Package: libtrycatch-perl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, ${cdbs:Depends}
Description: first class try catch semantics for Perl
 TryCatch aims to provide a nicer syntax and method to catch errors in
 Perl, similar to what is found in other languages (such as Java, Python
 or C++). The standard method of using "eval {}; if ($@) {}" is often
 prone to subtle bugs, primarily that its far too easy to stomp on the
 error in error handlers. And also eval/if isn't the nicest idiom.
