=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright 2011, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for TryCatch
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/perl-makemaker.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_UPSTREAM_PACKAGE = TryCatch
#DEB_UPSTREAM_URL = http://www.cpan.org/modules/by-module/TryCatch
DEB_UPSTREAM_URL = http://search.cpan.org/CPAN/authors/id/A/AS/ASH
DEB_UPSTREAM_TARBALL_MD5 = 590620cf5815781cc0d344bf5483956a

# Needed both by upstream build process and at runtime
common-depends = libparse-method-signatures-perl, libb-hooks-endofscope-perl, libdevel-declare-perl
common-depends += , libmoose-perl, libmoosex-types-perl, libscope-upper-perl, libvariable-magic-perl
common-depends += , libsub-exporter-perl, libb-hooks-op-check-perl, libb-hooks-op-ppaddr-perl (>= 0.03)

CDBS_BUILD_DEPENDS += , $(common-depends)
CDBS_DEPENDS_ALL = $(common-depends)

# Needed by upstream tests
CDBS_BUILD_DEPENDS += , libtest-exception-perl

# Remove bogusly installed benchmarking(?) files
common-binary-post-install-arch::
	rm -f $(DEB_DESTDIR)/usr/lib/perl5/bench*
