## libtrycatch-perl 1.003002

=== debian/changelog ===
libtrycatch-perl (1.003002-6) unstable; urgency=medium

  * Team upload.
  * Add build dependency on perl-xs-dev. (Closes: #1102823)
  * Declare compliance with Debian Policy 4.7.2.

 -- gregor herrmann <gregoa@debian.org>  Tue, 15 Apr 2025 18:19:52 +0200

libtrycatch-perl (1.003002-5) unstable; urgency=medium

  * Team upload.
  * Add Rules-Requires-Root: no.
  * Switch from cdbs to dh. (Closes: #1089373)
  * debian/watch: use uscan 4 and uscan macros.
  * Add hardening flags.
  * Declare compliance with Debian Policy 4.7.0.

 -- gregor herrmann <gregoa@debian.org>  Sat, 07 Dec 2024 22:30:47 +0100

libtrycatch-perl (1.003002-4) unstable; urgency=medium

  * Team upload.
  * Remove Makefile.old via debian/clean. (Closes: #1045871)

 -- gregor herrmann <gregoa@debian.org>  Thu, 07 Mar 2024 19:56:37 +0100

libtrycatch-perl (1.003002-3) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/*: update URLs from {search,www}.cpan.org to MetaCPAN.
  * debian/*: update GitHub URLs to use HTTPS.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Bump debhelper dependency to >= 8, since that's what is used in
    debian/compat.
  * Bump debhelper from deprecated 8 to 10.
  * Set Testsuite header for perl package.

  [ gregor herrmann ]
  * Drop removal of benchmarking files from debian/rules.
    They don't get installed anymore, and $Config{vendorarch} breaks
    cross-building.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 28 Jun 2022 21:24:30 +0100

libtrycatch-perl (1.003002-2) unstable; urgency=low

  * Team upload.

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"

  [ gregor herrmann ]
  * Use $Config{vendorarch} to get library path in debian/rules.

 -- gregor herrmann <gregoa@debian.org>  Mon, 11 Aug 2014 19:33:07 +0200

libtrycatch-perl (1.003002-1) unstable; urgency=low

  [ upstream ]
  * New realease.
    + Fix (the test failure in t/invalid where) syntax errors are
      reported from the wrong location.
    + Fix the xml_sax_expat test to check for dependencies correctly.

  [ Gregor Herman ]
  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.

  [ Salvatore Bonaccorso ]
  * Use canonical hostname (anonscm.debian.org) in Vcs-Git URI.

  [ Xavier Guimard ]
  * Update copyright file:
    + Add Berne convention comment to inc/EUDeps/ExtUtils/Depends.pm.

  [ Jonas Smedegaard ]
  * Update copyright file:
    + Add github URL as alternate source.
  * Use canonical hostname (anonscm.debian.org) in Vcs-Bowser URI.
  * Update package relations:
    + (Build-)depend on recent libnamespace-clean-perl.
    + Fix (build-)depend on recent libextutils-depends-perl.
    + Fix (build-)depend versioned on libb-hooks-op-check-perl: Needed
      version not satisfied in stable.
    + Tighten (build-)dependency on libb-hooks-endofscope-perl: Version
      now needed not satisfied in stable.
    + Build-depend on libxml-sax-expat-perl and libxml-sax-base-perl.
    + Relax to build-depend unversioned on debhelper, cdbs and
      devscripts: Needed versions satisfied in stable, and oldstable no
      longer supported.
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Bump packaging license to GPL-3+.
  * Extend copyright coverage for packaging to include current year.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 May 2013 14:32:56 +0200
