=== debian/control ===
Source: libtrycatch-perl
Section: perl
Priority: optional
Build-Depends: perl,
 debhelper-compat (= 13),
 libdevel-declare-perl,
 libmoose-perl,
 libmoosex-types-perl,
 libparse-method-signatures-perl,
 libscope-upper-perl,
 libsub-exporter-perl,
 libvariable-magic-perl,
 libb-hooks-endofscope-perl (>= 0.12),
 libb-hooks-op-check-perl (>= 0.18),
 libb-hooks-op-ppaddr-perl (>= 0.03),
 libextutils-depends-perl (>= 0.302),
 libnamespace-clean-perl (>= 0.20),
 libtest-exception-perl,
 libxml-sax-expat-perl,
 libxml-sax-base-perl,
 libmodule-install-perl,
 perl-xs-dev
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libtrycatch-perl.git
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libtrycatch-perl
Homepage: https://metacpan.org/release/TryCatch
Testsuite: autopkgtest-pkg-perl
Rules-Requires-Root: no

Package: libtrycatch-perl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
 libdevel-declare-perl,
 libmoose-perl,
 libmoosex-types-perl,
 libparse-method-signatures-perl,
 libscope-upper-perl,
 libsub-exporter-perl,
 libvariable-magic-perl,
 libb-hooks-endofscope-perl (>= 0.12),
 libb-hooks-op-check-perl (>= 0.18),
 libb-hooks-op-ppaddr-perl (>= 0.03),
 libextutils-depends-perl (>= 0.302),
 libnamespace-clean-perl (>= 0.20)
Description: first class try catch semantics for Perl
 TryCatch aims to provide a nicer syntax and method to catch errors in
 Perl, similar to what is found in other languages (such as Java, Python
 or C++). The standard method of using "eval {}; if ($@) {}" is often
 prone to subtle bugs, primarily that its far too easy to stomp on the
 error in error handlers. And also eval/if isn't the nicest idiom.
